org.gradle.plugins.binaries.model

## Interface Library

- All Superinterfaces:
    Binary, Buildable, Named

      public interface Library
      extends Binary

  A library

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SourceDirectorySet` | `getHeaders()`
    `LibraryCompileSpec` | `getSpec()`

    - ### Methods inherited from interface org.gradle.plugins.binaries.model.Binary

      `getProject, getSourceSets`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getSpec

          LibraryCompileSpec getSpec()

      Specified by:
        `getSpec` in interface `Binary`

    - #### getHeaders

          SourceDirectorySet getHeaders()